/*
* This file is part of 3DzzD http://dzzd.net/.
*
* Released under LGPL
*
* 3DzzD is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* 3DzzD is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with 3DzzD.  If not, see <http://www.gnu.org/licenses/>.
*
* Copyright 2005 - 2009 Bruno Augier
*/

package net.dzzd.access;

public interface IScene2D extends IScene
{
	public void setScene2DBufferSize(int maxShape2D);
	
    public int getNbScene2DObject();
	
	public void clearScene2D();
	
	public void addScene2DObject(IScene2DObject object);

	public void addScene2DObjects(IScene2DObject objects[]);
	
	public void removeScene2DObject(IScene2DObject object);

}